Package com.arms.api.globaltreemap.dao

## Class GlobalTreeMapRepository

- java.lang.Object
- - com.arms.api.globaltreemap.dao.GlobalTreeMapRepository

-     @Repository
      public class GlobalTreeMapRepository
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GlobalTreeMapRepository()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `delete​(java.lang.Long map_key)` |
    `void` | `deleteAll​(java.util.List<GlobalTreeMapEntity> globalTreeMapEntity)` |
    `java.util.List<GlobalTreeMapEntity>` | `findAllBy​(org.springframework.data.jpa.domain.Specification<GlobalTreeMapEntity> specification)` |
    `GlobalTreeMapEntity` | `findById​(java.lang.Long map_key)` |
    `GlobalTreeMapEntity` | `save​(GlobalTreeMapEntity globalTreeMapEntities)` |
    `java.util.List<GlobalTreeMapEntity>` | `saveAll​(java.util.List<GlobalTreeMapEntity> globalTreeMapEntity)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlobalTreeMapRepository

          public GlobalTreeMapRepository()

  - ### Method Detail

    - #### saveAll

          public java.util.List<GlobalTreeMapEntity> saveAll​(java.util.List<GlobalTreeMapEntity> globalTreeMapEntity)

    - #### deleteAll

          public void deleteAll​(java.util.List<GlobalTreeMapEntity> globalTreeMapEntity)

    - #### delete

          public void delete​(java.lang.Long map_key)

    - #### findById

          public GlobalTreeMapEntity findById​(java.lang.Long map_key)

    - #### findAllBy

          public java.util.List<GlobalTreeMapEntity> findAllBy​(org.springframework.data.jpa.domain.Specification<GlobalTreeMapEntity> specification)

    - #### save

          public GlobalTreeMapEntity save​(GlobalTreeMapEntity globalTreeMapEntities)